﻿
/* webkit solution */
::-webkit-input-placeholder {
    text-align: left;
}
/* mozilla solution */
input:-moz-placeholder {
    text-align: left;
}





.secondary-action-button a {
    margin-left: 8px;
}

/*Common*/
.li-opt li {
    list-style: disc;
}

.text-capitalize{
    text-transform:capitalize;
}

.text-discount {
    color: red;
    font-weight: bold;
}

.text-left{
    text-align:left !important;
}

.text-center {
    text-align: center !important;
}

.text-link-color {
    color: #0088cc;
}
.text-link {
    cursor: pointer;
}
    .text-link.link-disabled {
        opacity: 0.5;
        cursor: not-allowed !important;
    }

.btn-text-link {
    cursor: pointer;
    border: none !important;
    background-color: transparent;
    width: 100%;
    text-align: left;
}

    .btn-text-link.link-disabled {
        opacity: 0.5;
        cursor: not-allowed !important;
    }


.btn-text-link-only {
    cursor: pointer;
    border: none !important;
    background-color: transparent;
    text-align: left;
    padding: 0;
    margin: 0;
    margin-top: -2px;
}

.text-center{
    text-align:center !important;
}

.text-warning {
    color: orange;
}

.text-normal{
    font-weight:normal !important;
}

.pdf-icon{
    display:inline-block;
    width:18px;
}

.cm-strike {
    text-decoration: line-through !important;
}

.cm-trackchars{
    font-style:italic;
    color:gray;
}

.cm-tbl-footer-header-total {
    text-align: center !important;
    text-transform: uppercase;
}

.cm-tbl-footer-total{
    text-align:center !important;
    font-weight:bold;
}

.cm-header-number {
    text-align: right !important;
}


.cm-header-label {
    font-size: 14px !important;
    font-weight: normal !important;
}


.cm-content-number {
    text-align: right !important;
}


.cm-header-date {
    text-align: right !important;
}


.cm-content-date {
    text-align: right !important;
}

.cm-button-right {
    text-align: right !important;
}


.cm-pass-min-order {
    color: green;
}


.cm-less-min-order {
    color: red;
}

.cm-old-value {
    color: red;
    text-decoration: line-through;
    font-weight: normal;
}

.cm-new-value{
    color:green;
}

.cm-same-value {
    display:none;
}

.cm-group-title {
    font-weight: bold;
}

.cm-total {
    font-weight:bold;
}


.cm-print-span {
    display:none !important;
    visibility:hidden !important;
    padding:0 !important;
    margin:0 !important;
}



.cm-checkbox{
    position:relative;
    min-height:30px;

}

.cm-checkbox-box {
    width: 10px !important;
    height: 10px !important;
    border: 2px solid #999;
    border-radius: 2px;
    margin-top: 3px;
    display: inline-block;
    cursor: pointer;
    position:absolute;
    left:0;

}

.cm-checkbox-box-lbl {
    cursor: pointer;
    position:absolute;
    left:20px;
    
}

.cm-checkbox-box-lbl-light {
    color: #999 !important;
}

.cm-checkbox-box:hover, .cm-checkbox:hover .cm-checkbox-box {
    border: 2px solid green;
}

.cm-checkbox-box-disabled {
    width: 10px !important;
    height: 10px !important;
    border-radius: 2px;
    margin-top: 3px;
    display: inline-block;
    cursor:not-allowed;
    position: absolute;
    left: 0;
    background: #f0f0f0;
    border: 2px solid #d7d7d7;
}
.cm-text-done {
    text-decoration: line-through;
    position: absolute;
    left: 20px;

}

.cm-checkbox-done {
    font-size: 16px;
    color: green;
    cursor: pointer;
    position: absolute;
    left: 0;
    display: block;
    top: 5px;
}
.cm-checkbox-done-static {
    cursor: default;
}
.cm-ng-end-td-break td{
    border-top:1px solid #ccc !important;

}

.cm-relative{
    position:relative;
}
.cm-inline-block{
display:inline-block;
}

.cm-img-link:hover {
    text-decoration: none !important;
}

.cm-tbl-select-line {
    border-top: none !important;
    border-left: none !important;
    border-right: none !important;
    border-radius: 0 !important;
    box-shadow: none !important;
    font-size: 12px !important;
    padding: 2px !important;
    background-color: #fff !important;
    height: 23px !important;
}

a.btn-icon-default,
a.btn-icon-default:hover {
    color: #333;
}

.btn-icon-link, .btn-icon-link:hover {
    border: none !important;
    background: none !important;
    font-size: 18px !important;
    cursor: pointer !important;
    text-decoration: none !important;
}

    .btn-icon-link.btn-icon-success {
        color: #51a351;
    }

    .btn-icon-link.btn-icon-danger {
        color: red;
    }

.btn-white{
    background:#ffffff;
    color:#333;
}
    .btn-white:hover, .btn-white:active, .btn-white:focus {
        background: #f0f0f0;
    }
    /*ui tree table*/
    .list-group-main {
        list-style: none !important;
    }
    .list-group-main ol {
        list-style: none !important;
    }

.list-group-main > li {
    margin-bottom: 16px;
    border: 1px solid #ccc;
}


   

.list-group-main a {
    cursor: pointer;
    text-decoration: none;
}

    .list-group-main a:hover, .list-group-main a:focus, .list-group-main a:active {
        cursor: pointer;
        text-decoration: none;
    }




.list-group-main-div {
    list-style: none !important;
}

    .list-group-main-div ol {
        list-style: none !important;
    }

    .list-group-main-div > li > div {
        margin-bottom: 16px;
        border: 1px solid #ccc;
    }




    .list-group-main-div a {
        cursor: pointer;
        text-decoration: none;
    }

        .list-group-main-div a:hover, .list-group-main-div a:focus, .list-group-main-div a:active {
            cursor: pointer;
            text-decoration: none;
        }

.cm-ui-tree-container.angular-ui-tree {
    padding:0 !important;
}


.cm-ui-tree-container ol > li {
    margin-bottom: 16px;
    border: 1px solid #ccc;
}


.cm-ui-tree-container  .angular-ui-tree-nodes .angular-ui-tree-nodes {
    padding-left: 0 !important;
}

.cm-ui-tree-container  .angular-ui-tree-empty {
    border: none;
    background-color: transparent;
    min-height: 0;
}

.cm-ui-tree-container  .angular-ui-tree-placeholder {
    background: #f0f0f0;
    border: 2px dashed #ccc;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.cm-ui-tree-container .hidden {
    display: none !important;
    visibility: hidden !important;
}

.cm-ui-tree-container a {
    cursor: pointer;
    text-decoration: none;
}

.cm-ui-tree-container a:hover, 
.cm-ui-tree-container a:focus, 
.cm-ui-tree-container a:active {
    cursor: pointer;
    text-decoration: none;
}



.cm-ui-tree-container .btn-collapse {
    width: 16px;
    text-align: right;
    display: inline-block;
    /* color: #0087cf;*/
}


.cm-ui-tree-container .btn-remove {
    width: 16px;
    text-align: center;
    display: inline-block;
    color: gray;
    cursor:pointer;
    
}

.cm-ui-tree-header-container .cm-btn-container {
    float: right;
}

    .cm-ui-tree-header-container .cm-btn-container a {
        margin-top: 3px;
        margin-right: 4px;
        text-transform:capitalize;

    }

.cm-ui-tree-header-container .cm-title-container {
    padding: 8px;
   
}
 .cm-title {
    *zoom: 1;
}


.cm-title:before,
.cm-title:after {
    display: table;
    line-height: 0;
    content: "";
}

.cm-title:after {
    clear: both;
}

.cm-title-actions {
    width: 24px;
    font-weight: normal;
    float: left;
    text-align: right;
}


.cm-title-name {
    float: left;
    width: 500px;
    padding: 0 8px;
    color: #0087cf;
}


    .cm-title-name .tooltip div.tooltip-inner {
        max-width: 700px;

    }


.cm-title-name-label {
    width: 500px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: block;
}


.cm-ui-tree-body {
    padding: 16px 24px 16px 4px;
    border-top: 1px solid #ccc;
}

.cm-tbl-search input[type="text"].cm-input::-webkit-input-placeholder { /* Chrome/Opera/Safari */
    color: #59b459;
}

.cm-tbl-search input[type="text"].cm-input::-moz-placeholder { /* Firefox 19+ */
    color: #59b459;
}

.cm-tbl-search input[type="text"].cm-input:-ms-input-placeholder { /* IE 10+ */
    color: #59b459;
}

.cm-tbl-search input[type="text"].cm-input :-moz-placeholder { /* Firefox 18- */
    color: #59b459;
}

.cm-tbl-search thead th{
    color: #59b459;
}

.cm-tbl-search  .input-prepend .add-on,
.cm-tbl-search  .input-append .add-on {
    border: none !important;
    background: none !important;
    border-bottom: 1px solid #cccccc !important;
    border-radius:0;
}

.cm-tbl-search input[type="text"].cm-input {
    border-radius: 0;
    border-top: none;
    border-left: none;
    border-right: none;
    box-shadow: none;
    width:100px !important;
}


.cm-tbl-search td{
    vertical-align:top !important;
}

.cm-tbl-search td.tdIcon {
   padding-left:0 !important;
   padding-right:0 !important;
}

    .cm-tbl-search th.thIcon {
        padding-left: 0 !important;
        padding-right: 4px !important;
        width:18px;
    }

.cm-tbl-search td, .cm-tbl-search th {
    border: none;
}


.cm-tbl-search th {
    padding-top: 0;
    padding-bottom:0;
}



.cm-tbl-search.small-content th, .cm-tbl-search.small-content th input {
    font-size: 12px;
}


    .cm-tbl-search th .control-group {
     margin-bottom:0;
     margin-top:5px;
    }

 .cm-tbl-search.small-content td {
    font-size: 12px;
}

 .cm-tbl-search th.cm-header-number{
     min-width:60px;
 }


.cm-tbl-search th.cm-header-date {
    min-width: 110px;
}



.cm-tbl-settings li{
    padding:4px 8px;
}
.cm-tbl-settings li:hover {
   background:#fff !important;
   color:#333 !important;
}

.cm-tbl-settings li > span {
    width:100px;
    display:inline-block;
}
    .cm-tbl-settings li input{
        width:90%;
        margin:0 !important;
    }
    
    
    
    
    .cm-tbl-settings li > span + span {
        width: 30px;
        display: inline-block;
        text-align: right;
    }

    .cm-tbl-settings li  a {
       cursor:pointer !important;
       text-decoration:none !important;
       padding-right:0;
    }

.toPrintTitle {
    display: none !important;
    visibility: hidden !important;
}


.dropdown-menu.dropdownn-menu-rt li {
    padding: 0px 0;
    border-bottom: none;
}
.dropdownn-menu-rt li.active, .dropdownn-menu-rt li > a:hover {
    background-color: #ffffa6;
    color: #333;
    color: #333;
}


/*COmponents*/
.cm-radio-label {
    padding:2px 4px;
}

.cm-radio-label:hover {
    background: #ffffa6;
}

.cm-disabled {
    color: gray !important;
    font-style: italic !important;
}


.txtMainHeader {
    min-width:110px;
    max-width:150px;
}


/*Advance Filter*/

.cm-filter-container {
    position: absolute;
    top: 83px;
    width: 350px;
    border: 1px solid #d4d4d4;
    box-shadow: 0 -1px 10px rgba(0, 0, 0, 0.1);
    -webkit-box-shadow: 0 1px 10px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0 1px 10px rgba(0, 0, 0, 0.1);
    background: rgba(245,245,245,0.9);
    left: 0;
    z-index: 990;
    min-height:455px;
}

.cm-filter-container .content{
    padding:16px 32px;
    margin-bottom:24px;
}

.cm-filter-content {
    margin-bottom: 16px;
    border-bottom: 1px solid #d4d4d4;
    padding-bottom: 16px;
}

    .cm-filter-content > div {
        margin-left: 8px;
    }

.cm-filter-container .content > div:last-child {
    border-bottom:none;
}

.cm-limit-div{
    overflow-x:auto;
    height:300px;
}

.cm-filter-tag-container {
    padding:16px 0;
}

.cm-report-name{
    font-weight:bold;
    display:inline-block;
    font-size:16px;
}

.cm-filter-tag {
    margin-right: 5px;
    padding: 4px 8px;
    background-color: lightgray;
    display: inline-block;
    margin-bottom: 5px;
}
    .cm-filter-tag i {
        margin-left: 4px;
        font-size: 16px;
        font-weight: bold;
        line-height: 20px;
        color: #000000;
        text-shadow: 0 1px 0 #ffffff;
        opacity: 0.4;
    }


.cm-item-box{
    height:200px !important;
    overflow-y:auto;
}


/*Datetime picker*/

.daterangepicker .input-mini {
    width: 60% !important;
    padding: 0 8px !important;
}

.range_inputs .btn {
    min-width: 80px !important;
}

.daterangepicker .calendar th, .daterangepicker .calendar td {
    min-width: 24px !important;
}

.range_inputs {
    margin-top: 176px !important;
}

.cancelBtn {
    display: block !important;
    margin-top: 4px !important;
}

.calendar.left {
    border-right: 1px solid #d0d0d0 !important;
    margin-right: 8px !important;
}

.date-title {
    font-size: 16px !important;
    padding: 12px;
}

.start-title{
    font-size: 16px !important;
}

.daterangepicker_input {
    margin-bottom: 4px;
}

.daterangepicker td.in-range {
    background-color: rgba(53,126,189,0.5);
}

.active.end-date.in-range {
    background-color: rgba(53,126,189,1);
}
.new-report .i-question {
    font-size: 16px !important;
    /* color: #0087cf !important;*/
    margin-left: 4px !important;

}

.lblPopover {
    color: #65b265 !important;
    cursor:pointer;

}



/*Login Page*/
.password-position{
    position:relative;
}

.toggle-password{
    position:absolute;
    top:8px;
    right:8px;
    cursor:pointer;
}


/* Add customer*/
.section-overflow{
    overflow-y:auto;
}
    .section-overflow.add-customer{
        max-height:320px;
    }



.orderDeadline::-webkit-input-placeholder { /* Chrome/Opera/Safari */
    color: red;
    font-weight: bold;
}

.orderDeadline::-moz-placeholder { /* Firefox 19+ */
    color: red;
    font-weight: bold;
}

.orderDeadline :-ms-input-placeholder { /* IE 10+ */
    color: red;
    font-weight: bold;
}

.orderDeadline :-moz-placeholder { /* Firefox 18- */
    color: red;
    font-weight: bold;
}



.legend-header {
    display: block;
    width: 100%;
    padding: 0;
    font-size: 21px;
    line-height: 40px;
    color: #333333;
    margin-bottom: 5px;
    font-weight:500;
}


.cm-box-spacing{
    margin-bottom:32px;
   
}


.cm-box-spacing-24 {
    margin-bottom: 24px;
}

.cm-sa-spacing-field-right{
    margin-right:4px !important;
}
.cm-box-spacing:last-child {
    margin-bottom: 64px;
}

.privacy-policy-box {
    text-align: justify;
}


.itemMessage {
    font-size: 12px !important;
    text-align: justify;
}

    .itemMessage ul li {
        font-size: 12px !important;
        text-align:justify;
    }



    /*Invoice status*/

    
.cm_invoice_pending {
    color: #468847;
    font-weight: bold;
    background-color: #dff0d8;
    border-color: #d6e9c6;
    font-weight: normal !important;
}
    .cm_invoice_pending .cmp-invoice-status {
        color: green !important;
    }


    .cm_invoice_pending td .input-prepend {
        border-bottom: green 1px solid !important;
    }

.cm_invoice_paid {
    font-weight: bold;
    color: #468847;
    background-color: #dff0d8;
    border-color: #d6e9c6;
    font-weight: normal !important;
}

    .cm_invoice_paid .cmp-invoice-status {
        color: black !important;
    }

    .cm_invoice_paid td .input-prepend {
        border-bottom: black 1px solid !important;
    }


.cm_invoice_due {
    color: #c09853;
    font-weight: bold;
    background-color: #fcf8e3;
    border: 1px solid #fbeed5;
    font-weight: normal !important;
}

    .cm_invoice_due .cmp-invoice-status {
        color: #333 !important;
    }

    .cm_invoice_due td .input-prepend {
        border-bottom: #c09853 1px solid !important;
    }


.cm_invoice_overdue {
    color: #b94a48;
    font-weight: bold;
    background-color: #f2dede;
    border-color: #eed3d7;
    font-weight: normal !important;
}

    .cm_invoice_overdue .cmp-invoice-status {
        color: red !important;
    }


    .cm_invoice_overdue td .input-prepend {
        border-bottom: red 1px solid !important;
    }


.cm_invoice_rejected {
    color: #b94a48;
    font-weight: bold;
    background-color: #f2dede;
    border-color: #eed3d7;
    font-weight: normal !important;
}


    .cm_invoice_rejected .cmp-invoice-status {
        color: red !important;
    }


    .cm_invoice_rejected td .input-prepend {
        border-bottom: red 1px solid !important;
    }

    
h4.cm-nodata {
    margin-top: 24px;
    text-align: center;
    text-transform: capitalize;
    border-radius: 0;
    padding: 16px;
    display: block;
    color: #8a6d3b;
    background-color: #fcf8e3;
    border-color: #faebcc
}




.cm-input-line {
    border-top: none !important;
    border-left: none !important;
    border-radius: 0 !important;
    border-right: none !important;
    box-shadow: none !important;
}

.cm-list-permissions ul{
    margin:0;
    padding:0;
}

.cm-list-permissions li {
    margin: 0;
    padding: 0;
    padding:2px 0 0 4px;
}

.cm-list-permissions i {
    margin-right:4px;
}

.cm-text-edit {
    color: #0088cc;
}

.cm-text-unaccesible {
    color: red;
}

.cm-text-accessible {
    color: #99CC00;
}

#prntDeliveryNoteNew {
    display: none;
}

blink, .blink {
    -webkit-animation: blink 1s step-end infinite;
    -moz-animation: blink 1s step-end infinite;
    -o-animation: blink 1s step-end infinite;
    animation: blink 1s step-end infinite;
}

@-webkit-keyframes blink {
    67% {
        opacity: 0
    }
}

@-moz-keyframes blink {
    67% {
        opacity: 0
    }
}

@-o-keyframes blink {
    67% {
        opacity: 0
    }
}

@keyframes blink {
    67% {
        opacity: 0
    }
}


.blink-text {
    width: 50px;
    height: 50px;
    -webkit-animation: blinking-text-animation 1s infinite; /* Safari 4+ */
    -moz-animation: blinking-text-animation 1s infinite; /* Fx 5+ */
    -o-animation: blinking-text-animation 1s infinite; /* Opera 12+ */
    animation: blinking-text-animation 1s infinite; /* IE 10+, Fx 29+ */
}

@-webkit-keyframes blinking-text-animation {
    0%, 49% {
        color: #0088cc;
    }

    50%, 100% {
        color: #333;
    }
}

.cm-right-container {
    margin-right: 32px !important;
    float: right;
}




/*Sweet alert*/

.cm-modal-note {
    margin:24px 16px 16px;
    font-style:italic;
}


/*List*/
h4.noData {
    margin-top: 48px;
    text-align: center;
    text-transform: capitalize;
    border-radius: 0;
    padding: 16px;
    display: block;
    color: #8a6d3b;
    background-color: #fcf8e3;
    border-color: #faebcc
}

.list-search-label {
    padding-top: 4px;
    display: block;
}


/*table*/

.cm-tbl-multiple-input {
    margin:0 !important;
    width:100%;
    padding:0 !important;
}

    .cm-tbl-multiple-input td {
        margin: 0 !important;
        padding: 1px !important;
        height: 27px;
    }

.cm-tbl-multiple-input-div {
    height: 25px;
    margin-top: 4px;
}

.cm-icon {
    font-size: 22px;
}

.cm-icon-enabled {
    color: #59b459;
}

.cm-icon-disabled {
    color: #d7d7d7;
}

.cm-icon-label-only{
    cursor:default !important;
}


/**/

.cm-tbl-single-icon{
    width:12px;
}




/*Sweet alert*/
.sweet-alert {
    z-index: 999999999999999 !important;
   
}

option {
    z-index: 99999999999999 !important;
    position: relative !important;
}

/*Login*/
.cm-privacyPolicy  a{
    font-size: 12px !important;

}


.popover-wrapper form {
    margin-left: -110px;
    margin-bottom: 100px;
    top: 24px;
    left:100px;
    z-index:9999;
}


    .popover-wrapper form:before {
       
        border-left: 10px solid transparent;
        border-right: 10px solid transparent;
        border-bottom: 10px solid #AAA;
        border-top:none;
        top: -10px;
        left:20px;
    }


    .popover-wrapper form:after {
        content: "";
        width: 0;
        height: 0;
        border-left: 9px solid transparent;
        border-right: 9px solid transparent;
        border-bottom: 9px solid #FFF;
        border-top: none;
        position: absolute;
        top: -9px;
        left: 20px;
    }




    /*Translation Page */

.cm-acc-header-children {
    float: left;
    padding: 0 !important;
    font-size: 16px;
    color: #0088cc;
    margin-right: 16px;
    display: block !important;
}

i.cm-acc-header-children {
    margin-top: 5px !important;
}


.text-noChange, .text-noChange:hover {
    background: #fad235 !important;
    color: #333 !important;
}



.text-hasChange, .text-hasChange:hover {
    background: #1368a8 !important;
    padding: 2px !important;
    color: #fff !important;
}

.main-menu .cm-translate{
    display:block;
}
.main-menu .dropdown-menu li {
    min-width: 200px;
}

.cm-menu-limit {
    height: 400px;
    overflow-y: auto;
}

.cm-menu-content-div {
    padding: 0 7px;
    line-height: 40px;
}

.editable-wrap {
    padding: 2px;
    background: #333;
    border-radius: 2px;
}

.editable-buttons{
    vertical-align:bottom;
}

/*.editable-flag {
    position: absolute;
    right: 8%;
}

.cm-translate.isEditable {
    position: fixed;
    padding: 0;
    margin: 0;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255,255,255,0.5);
    z-index:999999999999999 !important;
}

    */

.cm-menu-translate-con{
    position:relative;
}

    .editable-flag .cm-menu-translate-con {
        position: absolute;
        left: 265px;
        top: -28px;
    }

.dropdown-menu .editable-flag .cm-menu-translate-con {
    position: absolute;
    left: 265px;
    top: -15px;
}

.editable-flag-inline {
    position: absolute;
    top: -16px;
    right: 4px;
}

ul.main-menu > li > a .editable-flag {
    position: absolute;
    top: -29px;
    right: 4px;
}

ul.main-menu.dropdown-menu > li > a .editable-flag {
    position: absolute;
    top: -16px;
    right: 4px;
}

.uib-tab.nav-item.disabled > a{
    background:#f0f0f0;

}

.cm-tb-hover tbody tr:hover {
   background-color: #ffffa6;
}

.cm-tb-hover tbody tr.separate:hover {
    background-color: transparent !important;
}



/*Flex Container*/
.cm-flex-container {
    display: flex; /* or inline-flex */
    flex-direction: row;
    align-items: stretch;
}

.cm-flex-parent {
    display: flex;
    flex-direction: row;
    margin-bottom: 24px;
}

.cm-flex-child {
    width: 47%; /* Or whatever */
    margin: 0; /* Magic! */
}
.ag-cell-focus {
    border: 2px solid #4285f4 !important;
}

.ag-side-bar .ag-column-drop {
    min-height: 92px !important;
}

.invalid-content {
    border: 1px solid red;
}


.cm-tb-hover tbody tr.separate:hover {
    background-color: transparent !important;
}
.cm-main-recipe {
    font-weight: bold;
}
.cm-main-item-name {
    color: red;
}



.cm-filter-custom{
    border-bottom:1px solid #d7d7d7;
    padding-bottom:4px;
    margin-bottom:8px;
}

.ag-cell-focus {
    border: 2px solid #4285f4 !important;

}


/*   List Page  */

.cm-list-container{

}

.cm-list-search-container-tbl {
    margin: 0 auto;
    width:800px;
}

.cm-list-header-container {
    margin: 0 auto;
}


.cm-list-tree ol {
    list-style: none;
}

.cm-list-tree > li {
    margin-bottom: 16px;
    border: 1px solid #ccc;
}

.cm-list-tree a {
    cursor: pointer;
    text-decoration: none;
}

    .cm-list-tree a:hover, .cm-list-tree a:focus, .cm-list-tree a:active {
        cursor: pointer;
        text-decoration: none;
    }

.cm-list-tbl-result-header-container {
    width: 100%;
}
.cm-list-tbl-result-container {
    width: 97%;
    margin: 12px auto;
}

.cm-list-tbl-result-container td{
    padding:4px 0;
}

 .btn-icon-link-right {
    margin-right:4px;
}

 /*Edit*/

.cm-detail-tbl-add td{
    padding:4px 4px 4px 0;
}

.cm-space-2 {
    margin-top: 16px !important;
}

.cm-space-3 {
    margin-top: 24px !important;
}
.cm-space-4 {
    margin-top: 32px !important;
}
.sub-menu:empty {
    display: none !important;
}

.switcher-indent-menu a{
    padding-left: 40px!important;
}

.switcher-nonindent-menu a {
    padding: 5px 20px!important;
}



.loading {
    display: none;
}

.translate-cloak > .loading {
    display: block;
}

/* Absolute Center Spinner */
.loading {
    position: fixed;
    z-index: 999;
    height: 2em;
    width: 2em;
    overflow: visible;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

    /* Transparent Overlay */
    .loading:before {
        content: '';
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0,0,0,0.3);
    }

    /* :not(:required) hides these rules from IE9 and below */
    .loading:not(:required) {
        /* hide "loading..." text */
        font: 0/0 a;
        color: transparent;
        text-shadow: none;
        background-color: transparent;
        border: 0;
    }

        .loading:not(:required):after {
            content: '';
            display: block;
            font-size: 10px;
            width: 1em;
            height: 1em;
            margin-top: -0.5em;
            -webkit-animation: spinner 1500ms infinite linear;
            -moz-animation: spinner 1500ms infinite linear;
            -ms-animation: spinner 1500ms infinite linear;
            -o-animation: spinner 1500ms infinite linear;
            animation: spinner 1500ms infinite linear;
            border-radius: 0.5em;
            -webkit-box-shadow: rgba(0, 0, 0, 0.75) 1.5em 0 0 0, rgba(0, 0, 0, 0.75) 1.1em 1.1em 0 0, rgba(0, 0, 0, 0.75) 0 1.5em 0 0, rgba(0, 0, 0, 0.75) -1.1em 1.1em 0 0, rgba(0, 0, 0, 0.5) -1.5em 0 0 0, rgba(0, 0, 0, 0.5) -1.1em -1.1em 0 0, rgba(0, 0, 0, 0.75) 0 -1.5em 0 0, rgba(0, 0, 0, 0.75) 1.1em -1.1em 0 0;
            box-shadow: rgba(0, 0, 0, 0.75) 1.5em 0 0 0, rgba(0, 0, 0, 0.75) 1.1em 1.1em 0 0, rgba(0, 0, 0, 0.75) 0 1.5em 0 0, rgba(0, 0, 0, 0.75) -1.1em 1.1em 0 0, rgba(0, 0, 0, 0.75) -1.5em 0 0 0, rgba(0, 0, 0, 0.75) -1.1em -1.1em 0 0, rgba(0, 0, 0, 0.75) 0 -1.5em 0 0, rgba(0, 0, 0, 0.75) 1.1em -1.1em 0 0;
        }

/* Animation */

@-webkit-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-moz-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-o-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}


.main-box-accordion-container {
    width: 800px;
    margin: 0 auto;
}

    .main-box-accordion-container > div {
        margin-bottom: 16px;
        border: 1px solid #ccc;
    }

    .main-box-accordion-container .panel-body{
        margin-left:4px;
    }

    .main-box-accordion-container .accordion-toggle {
        font-weight: normal;
        text-decoration: none !important;
        padding: 0 8px;
    }

    .main-box-accordion-container h4.panel-title {
        border-bottom: 1px solid #ccc;
        padding-bottom: 8px;
        margin-bottom: 0;
    }



    /*Agr grid*/

.ag-vertical .ag-pivot-on .ag-header-row:nth-child(2) {
    display:none !important;
}

.ag-vertical .ag-pivot-on .ag-header-row:nth-child(1) {
    height:178px !important;
}

.ag-vertical .ag-cell-label-container {
    /*Necessary to allow for text to grow vertically*/
    height: 100%;
}

.ag-vertical .ag-header-cell-label, .ag-vertical .ag-header-group-cell-label {
    /*Necessary to allow for text to grow vertically*/
    height: 100%;
    padding: 0 !important;
}

    .ag-vertical .ag-header-cell-label .ag-header-cell-text, .ag-vertical .ag-header-group-cell-label .ag-header-group-text {
        /*Force the width corresponding at how much width
    we need once the text is laid out vertically*/
        width: 24px;
        writing-mode: vertical-lr;
        margin-top: 8px;
    }



    .ag-vertical .ag-header-cell-label .ag-header-cell-text, .ag-vertical .ag-header-group-cell-label .ag-header-group-text {
        white-space: pre-wrap !important;
        overflow: unset !important;
        text-overflow: unset !important;
    }

.ag-vertical.ag-theme-fresh .ag-header-cell, .ag-vertical.ag-theme-fresh .ag-header-group-cell {
    padding-left: 4px !important;
    padding-right: 4px !important;
}

.ag-vertical .ag-pivot-on .ag-header-cell-label, .ag-vertical .ag-pivot-on .ag-header-group-cell-label {
    height: auto;
    padding-top: 36px;
    margin-left: 0px;
    font-weight: unset ;
}

.ag-vertical .ag-pivot-on .ag-header-group-cell:last-child {
    font-weight: normal !important;
}

.ag-vertical .ag-pivot-on .ag-header-group-cell:last-child {
    font-weight: bold !important;
}

    .ag-vertical .ag-pivot-on .ag-header-cell-label .ag-header-cell-text, .ag-vertical .ag-pivot-on .ag-header-group-cell-label .ag-header-group-text {
        /*There is empty space left at the top from the menu and sort
    icons not used*/
        margin-top: 25px;
    }

/*Floating filters*/
.ag-vertical .ag-floating-filter-body {
    height: 50px
}

    .ag-vertical .ag-floating-filter-body input {
        height: 49px
    }

.ag-vertical .ag-floating-filter-button {
    margin-top: -49px;
}

    .ag-vertical .ag-floating-filter-button button {
        height: 49px
    }

.ag-vertical .ag-floating-filter-body input {
    font-weight: bold;
}

#myGrid.ag-vertical{
    height:600px !important;
}


.ag-vertical  .ag-header-group-cell-label, .ag-vertical .ag-header-cell-label {
    align-items: flex-start !important;
    -webkit-box-align: start !important;
    -ms-flex-align: start !important;
}


.ag-vertical .ag-header-group-cell-label, .ag-vertical .ag-header-cell-label {
    align-items: flex-start !important;
    -webkit-box-align: start !important;
    -ms-flex-align: start !important;
}

.ag-vertical .ag-cell-label-container {
overflow-wrap:break-word !important;
}


.ag-vertical.ag-theme-fresh .ag-tool-panel-wrapper .ag-filter-panel .ag-filter-toolpanel-instance {
    color: #333333;
    font-weight: 600;
    flex: auto;
    flex-direction: column;
    flex-wrap: nowrap;
    display: flex;
    flex-flow: column nowrap;
}

.ag-vertical .ag-filter-panel .ag-header-cell-label .ag-header-cell-text {
    width: auto;
    writing-mode: unset;
    margin-top: 0;
}

.ag-vertical.ag-theme-fresh .ag-tool-panel-wrapper .ag-filter-panel .ag-filter-toolpanel-instance .ag-filter-toolpanel-header {
    padding: 7px 5px !important;
}

.tbl-vertical th {
    padding: 2px 5px !important;
    text-align: left;
    vertical-align: top !important;
    height: 180px;
    text-align: left;
    font-weight: normal;
    border: none;
}

.tbl-vertical td {
    padding: 0 0 0 8px !important;
    vertical-align: top;
    text-align: right;
    border: none !important;
}


    .tbl-vertical td:nth-child(1), .tbl-vertical th:nth-child(1) {
        text-align: left;
        padding: 0 0 0 8px !important;
    }



.td-vertical > span {
    writing-mode: vertical-rl;
    line-height: 16px;
    font-weight: normal;
    float: right;
    height: 180px;
    display: block;
}


.td-vertical >div> span {
    writing-mode: vertical-rl;
    line-height: 16px;
    font-weight: normal;
    float: right;
    height: 180px;
    display: block;
}

    .td-vertical span.td-strong {
      
        font-weight: bold !important;
       
    }

.td-strong {
    font-weight: bold !important;
}

@media print {
    .page-break {
        page-break-after: always;
    }

}

.ag-row-animation .ag-row{
    transition:unset !important;

}


.dropdown-menu-global .blockUI.blockOverlay {
    background-color: #fff !important;
    opacity: 0.95 !important;
}

.menu-cart-dropdown .blockUI.blockOverlay {
    background-color: #fff !important;
    opacity: 0.95 !important;
}
.error-field {
    background: #f6dbdb;
    border: 1px solid #e6c2c2;
    border-right: none ;
    border-bottom: none ;
}

.new-field {
    background: #ffdcc1;
    border: 1px solid #d5b48f ;
    border-right: none ;
    border-bottom: none ;
}

.create-new-field {
    background: #fbf697;
    border: 1px solid #fcf27c;
    border-right: none;
    border-bottom: none;
}

.modal.fade.in.feedback-model {
    top: 5% !important;
}


.bg-selected {
    border: 1px solid #6a9d73;
    background: #c4f6ce;
}

.text_filter.search_init {
    background: url("../Images/magnifying-glass.png") no-repeat right;
    background-color: #FFF !important;
    /*color: #0088cc;*/
    color: #499949;
}



/*textbox arrow*/
.numberArrow .arrow {
    display: none;
}

.numberArrow.popover.right {
    margin-left: -20px;
    width: 12px;
    height: 24px;
    margin-top: 3px;
}

.numberArrow.popover {
    z-index: 1050 !important;
    background-color: transparent;
    color: #000;
    border-radius: 0px;
    border: none;
    box-shadow: none;
}

.numberArrow .popover-content {
    padding: 0;
}



.pnpArrow .arrow {
    display: none;
}

.pnpArrow.popover.right {
    margin-left: -18px;
    width: 12px;
    height: 24px;
    margin-top: 0;
}

.pnpArrow.popover {
    z-index: 1050 !important;
    background-color: transparent;
    color: #000;
    border-radius: 0px;
    border: none;
    box-shadow: none;
}

.pnpArrow .popover-content {
    padding: 0;
}

.upPop {
    background: url("../Images/iconUp.png") no-repeat right;
    width: 15px;
    height: 11px;
    border: none;
    display: block;
    cursor: pointer;
}

.downPop {
    background: url("../Images/iconDown.png") no-repeat right;
    width: 15px;
    height: 11px;
    border: none;
    display: block;
    cursor: pointer;
}


.upPop:hover, .upPop:focus {
    background: url("../Images/iconUpHover.png") no-repeat right;
}

.downPop:hover, .downPop:focus {
    background: url("../Images/iconDownHover.png") no-repeat right;
}


.upPop:active {
    background: url("../Images/iconUpClick.png") no-repeat right;
}

.downPop:active {
    background: url("../Images/iconDownClick.png") no-repeat right;
}


/* SideStepper Buttons */

.sideArrow .arrow {
    display: none;
}

.sideArrow.popover {
    z-index: 500 !important;
    background-color: transparent;
    color: #000;
    border-radius: 0px;
    border: none;
    box-shadow: none;
}

.sideArrow .popover-content {
    padding: 0;
}

/* Default for 50px inputs */
.sideArrow.popover.right {
    margin-left: -100px;
    width: 120px;
    height: 24px;
    margin-top: 3px;
}

.side-stepper-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 120px;
    position: relative;
}

.input-mini-m {
    width: 50px;
    position: relative;
/*    fixed bug*/
    z-index: 501 !important;
}


/* For 100px inputs - If you have another input size, create similar to this */
/* then use popover-class="sideArrow input-100" */
.sideArrow.input-100.popover.right {
    margin-left: -125px; 
    width: 170px; 
    height: 24px;
    margin-top: 3px;
}
.sideArrow.input-100 .side-stepper-container {
    width: 170px;
}


.sideArrow.input-custom.popover.right {
    margin-left: calc(-100px - (var(--extra-width, 0px) / 2));
    width: calc(120px + var(--extra-width, 0px));
    height: 24px;
    margin-top: 3px;
}

.sideArrow.input-custom .side-stepper-container {
    width: calc(120px + var(--extra-width, 0px));
}

/* Button styles remain the same */
.leftPop {
    width: 20px;
    height: 22px;
    border: 1px solid #ccc;
    background: #f8f9fa;
    color: rgba(0, 0, 0, 0.75);
    font-weight: bold;
    font-size: 14px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 2px;
    margin-left: -2px;
}

.rightPop {
    width: 20px;
    height: 22px;
    border: 1px solid #ccc;
    background: #f8f9fa;
    color: black;
    font-weight: bold;
    font-size: 14px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 2px;
}

.leftPop:hover, .leftPop:focus {
    background: white;
    border-color: #333;
}

.rightPop:hover, .rightPop:focus {
    background: white;
    border-color: #333;
}

.leftPop:active {
    background: #AAA;
    transform: scale(0.95);
}

.rightPop:active {
    background: #AAA;
    transform: scale(0.95);
}


/* ag grid*/
.icon-ok-ag {
    color: green;
    width: 16px;
    height: 16px;
    font-size: 16px;
    text-decoration: none;
}

.icon-minus-ag {
    color: red;
    width: 16px;
    height: 16px;
    font-size: 16px;
    text-decoration: none;
}

.icon-ok-ag:hover, .icon-minus-ag:hover {
    text-decoration: none;
}



.ag-floating-filter-input .ag-input-field-input:disabled {
    display: none;
}

.ag-floating-filter-input .ag-input-wrapper.ag-text-field-input-wrapper .ag-text-field-input {
    color: #222;
}


/*ag grid pivot button*/

.ag-theme-blue .ag-toggle-button-input-wrapper {
    background-color: #ccc !important;
    border-color: #aaa !important;
}

    .ag-theme-blue .ag-toggle-button-input-wrapper:before {
        border-color: #aaa !important;
    }

.ag-theme-blue .ag-wrapper.ag-input-wrapper.ag-toggle-button-input-wrapper.ag-checked {
    background-color: #5e9cd3 !important;
    border-color: #5e9cd3 !important;
}

.ag-theme-blue .ag-theme-blue .ag-toggle-button-input-wrapper.ag-checked:before {
    border-color: #5e9cd3 !important;
}

.sticky-header {
    position: -webkit-sticky;
    position: sticky;
    top: 80px;
    z-index: 1;
}

.header-white-background {
    background: #fff;
}


/*CSS Printing for specific div*/
@media screen {
    #printSection {
        display: none;
    }
}

@media print {



    #launcher {
        display: none !important;
        visibility: hidden !important;
    }

    #powerTip {
        display: none !important;
    }

    body.printSectionBody * {
        visibility: hidden;
    }

    body.printSectionBody li {
        list-style: none !important;
    }

    #printSection, #printSection * {
        visibility: visible;
    }

    #printSection {
        position: absolute;
        left: 0;
        top: 0;
    }

    .simple-production {
        margin-left: 0;
    }

    .cm-ui-tree-container .hidden {
        display: block !important;
        visibility: visible !important;
    }

    .toPrintTitle {
        display: block !important;
        visibility: visible !important;
    }

    .cm-print .cm-print-span {
        display: block !important;
        visibility: visible !important;
    }

    .printSectionBody .cm-print .control-group {
        display: none !important;
        visibility: hidden !important;
    }

    .printSectionBody .header {
        display: none !important;
        visibility: hidden !important;
    }

    .cm-filter-container {
        display: none !important;
        visibility: hidden !important;
    }

    #Smallchat {
        display: none !important;
    }

    .ag-side-bar.ag-unselectable.ag-side-bar-right {
        visibility: hidden
    }

    .ag-drag-handle.ag-row-drag {
        display: none !important;
    }

    .sticky-header {
        position: unset !important;
        position: unset !important;
        top: unset !important;
        z-index: 1;
    }

    .text_filter.search_init{
        background:unset;
    }

    #jsd-widget{
        display: none!important;
        visibility: hidden!important;
    }
}


/* Calendar*/

.li-route-manager .uib-datepicker:hover {
    background: white !important;
}

.li-route-manager .uib-datepicker tr:hover td, uib-datepicker td, .li-route-manager .uib-datepicker tr:hover th, .li-route-manager .uib-datepicker th {
    background: white !important;
    color: #333;
}



.li-route-manager .uib-datepicker .table-condensed th, .li-route-manager .uib-datepicker .table-condensed td {
    padding: 0;
}

.li-route-manager .no-hover a, .li-route-manager .no-hover a:hover, .li-route-manager .dropdown-menu li.no-hover:hover {
    cursor: default !important;
    background: white !important;
}

.li-route-manager .uib-datepicker button.btn {
    min-width: 0 !important;
    padding: 1px 2px;
}

.li-route-manager .uib-datepicker button.btn.btn-default {
    border: none;
    background: #fff;
    font-size: 12px;
}


.li-route-manager .uib-datepicker .btn-info:hover, .li-route-manager .uib-datepicker .btn-info:active, .li-route-manager .uib-datepicker .btn-info.active {
    background: #2f96b4 !important;
    color: white !important;
}

.li-route-manager .uib-datepicker .btn-info:hover, .li-route-manager .uib-datepicker .btn-info:active, .li-route-manager .uib-datepicker .btn-info.active, .li-route-manager .uib-datepicker .btn-info.disabled, .li-route-manager .uib-datepicker .btn-info[disabled] {
    color: #2f96b4;
}

.li-route-manager .well {
    margin-bottom: 4px;
}

.btn-100 {
    width: 100%;
    display: block;
    text-align: left;
}


.main-menu .dropdown-menu .li-route-manager {
    min-width: 150px;
}

.li-route-manager .well {
    padding: 0 16px !important
}

.li-route-manager .btn.btn-default.btn-sm.active {
    background: #3a87ad;
    box-shadow: none;
}



    .li-route-manager .btn.btn-default.btn-sm.active .text-info {
       color:#fff;
    }
.dropdown-menu li.li-route-manager {
    margin-top: -24px;
    background-color: #fff;
    color: #333 !important;
}
.dropdown-menu li.li-route-manager:hover {
    background-color: #fff;
    color: #333 !important;
}

.li-route-manager-title{
    padding:4px 16px;
    border:1px solid #ddd;
    border-bottom:none;
}

.dropdown-menu li.li-route-manager-days a {
    padding: 1px 20px;
    color: #0088cc !important;
}


.dropdown-menu li.li-route-manager-days a:hover {
 
    color: #fff !important;
}

.standingorder-trader {
    background-color: #f5f5f5;
    font-weight: 700;
    padding: 5px;
}

li.totalso-bycustomer {
    padding-left: 20px;
}

.navbar .nav li.active.totalso-bycustomer > a {
    border-left: none;
    border-right: none;
}

.text-right{
    text-align:right !important;
}

.ranges li.data-range-custom {
    color: #89bb50;
}

    .ranges li.data-range-custom:hover {
        background-color: #89bb50;
        border: 1px solid #89bb50;
        color: #fff;
    }

    .ranges li.data-range-custom.active {
        background-color: #89bb50;
        border: 1px solid #89bb50;
        color: #fff;
    }

#alertsDiv {
    opacity: 0.99;
    max-width: 800px !important;
    position: fixed;
    right: 5%;
    top: 72px;
    z-index: 990;
    min-width: 400px;
}


.ag-tooltip {
    background-color: white !important;
    border-radius: 1px !important;
    padding: 5px !important;
    border-width: 1px !important;
    border-style: solid !important;
    border-color: #545454 !important;
}

.custom-tooltip-1 {
    width: 150px;
    border: none;
    overflow: hidden;
    pointer-events: none;
    transition: opacity 1s;
    background-color: white;
    line-height: 18px;
    border: 1px solid #b52626;
    color: #b52626;
    border-radius: 4px;
    position: absolute;
}

.custom-tooltip-1.ag-tooltip-hiding {
    opacity: 0;
}

.custom-tooltip-1 p {
    margin: 5px;
    white-space: nowrap;
}

.custom-tooltip-1 p:first-of-type {
    font-weight: bold;
}

.custom-tooltip-1 .p-address {
    display: block;
    width: 100px;
}

.select-option-new {
    color: #0088cc;
}

.ng-hide.ng-hide-animate {
    display: none !important;
}

.btn-paynow {
    background: #7849ff;
    color: #fff;
    border: #7849ff;
    padding: 5px 40px;
}


    .btn-paynow:hover {
        background: #916df7;
        color: #fff;
        border: #7849ff;
    }